DEMANGLE(1)

NAME
demangle - undo C++ name mangling for symbols

SYNOPSIS
demangle

DESCRIPTION
Demangle reads a list of C++ mangled symbol names from standard input and converts these names to human-readable form on standard output.

This utility is part of the TDE Software Development Kit.

EXAMPLE
Create a file called names containing the following mangled symbol names:

    _ZNK6Object10metaObjectEv
    _ZN8QPtrListI5ArrowE5clearEv
    _ZTC4Kolf0_11TDEMainWindow

These names can then be demangled as follows:

    example$ demangle < names
    Object::metaObject() const
    QPtrList<Arrow>::clear()
    construction vtable for TDEMainWindow-in-Kolf

SEE ALSO
kminspector(1), kmmatch(1), kmtrace(1).

AUTHOR
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).